<xsl:stylesheet version='1.0'
 xmlns:xsl='http://www.w3.org/1999/XSL/Transform' 
 xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
 xmlns:clarin="http://www.iula.upf.edu">

<xsl:output indent="yes" method="xml" version="1.0" encoding="UTF-8" />
<xsl:template match="text()" />

<xsl:template match="/clarin:*">
<CMD>
<Header></Header><Resources><ResourceProxyList></ResourceProxyList><JournalFileProxyList></JournalFileProxyList><ResourceRelationList></ResourceRelationList></Resources>
<Components>
<xsl:element name="{name(.)}">
    <xsl:apply-templates  select="//clarin:resourceType" />
     <xsl:apply-templates  select="//clarin:corpusType" />
     <xsl:apply-templates  select="//clarin:language" />
     <xsl:apply-templates  select="//clarin:lexiconType" /> 
     <xsl:apply-templates  select="//clarin:size" /> 
     <xsl:apply-templates  select="//clarin:coverageType" /> 
     <xsl:apply-templates  select="//clarin:domain" /> 
     <xsl:apply-templates  select="//clarin:annotationFormat" /> 
     <xsl:apply-templates  select="//clarin:transcription" />
     <xsl:apply-templates  select="//clarin:annotation" />
     <xsl:apply-templates  select="//clarin:annotationLevelType" />
     <xsl:apply-templates  select="//clarin:tagset" />
     <xsl:apply-templates  select="//clarin:informationContained" />
     <xsl:apply-templates  select="//clarin:runningEnvironment" />
     <xsl:apply-templates  select="//clarin:languageDependency" />
     <xsl:apply-templates  select="//clarin:operatingSystem" />
     <xsl:apply-templates  select="//clarin:operations" />
    <GeneralAttributes>
        <xsl:apply-templates select="//clarin:resourceTitle" />
        <xsl:apply-templates select="//clarin:persistenIdentifier" />
        <xsl:apply-templates  select="//clarin:url" />
        <xsl:apply-templates  select="//clarin:organization" />
        <xsl:apply-templates  select="//clarin:contactEmail" />
    </GeneralAttributes>
</xsl:element> 
</Components>
</CMD>
</xsl:template>


<xsl:template match="//clarin:size">
    <xsl:element name="{name(.)}">
    <xsl:attribute name="sizeUnit"><xsl:value-of select="@sizeUnit" /></xsl:attribute>
    <xsl:value-of select="." />
    </xsl:element> 
</xsl:template>

<xsl:template match="//clarin:language">
    <xsl:element name="{name(.)}">
        <xsl:attribute name="languageID"><xsl:value-of select="@languageID" /></xsl:attribute>
    <xsl:value-of select="." />
    </xsl:element> 
</xsl:template>


<xsl:template match="clarin:*">
    <xsl:element name="{name(.)}"><xsl:value-of select="." /></xsl:element> 
</xsl:template>

</xsl:stylesheet> 