<xsl:stylesheet version='1.0'
 xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
 xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
 xmlns="http://www.openarchives.org/OAI/2.0/static-repository"
 xmlns:oai="http://www.openarchives.org/OAI/2.0/"
 xmlns:olac="http://www.language-archives.org/OLAC/1.1/"
 xmlns:dc="http://purl.org/dc/elements/1.1/"
 xmlns:dcterms="http://purl.org/dc/terms/"
 xsi:schemaLocation="
 http://www.openarchives.org/OAI/2.0/static-repository
 http://www.language-archives.org/OLAC/1.1/static-repository.xsd
 http://www.language-archives.org/OLAC/1.1/
 http://www.language-archives.org/OLAC/1.1/olac.xsd
 http://purl.org/dc/elements/1.1/
 http://dublincore.org/schemas/xmls/qdc/2006/01/06/dc.xsd
 http://purl.org/dc/terms/
 http://dublincore.org/schemas/xmls/qdc/2006/01/06/dcterms.xsd"
 xmlns:clarin="http://www.iula.upf.edu">

   <xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyz</xsl:variable>
   <xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>

   <xsl:output indent="yes" method="xml" version="1.0" encoding="UTF-8" />
   <xsl:template match="text()" />
   
   <xsl:template match="clarin:LexicalResource ">
      <olac:olac >  
      		<dc:type xsi:type="olac:linguistic-type" olac:code="lexicon"/> 
         <xsl:apply-templates  />
      </olac:olac>
   </xsl:template>   
   
      <xsl:template match="clarin:WrittenCorpus">
      <olac:olac >  
      
      <dc:type xsi:type="olac:linguistic-type" olac:code="primary_text"/>
	<dc:type xsi:type="dcterms:DCMIType">Text</dc:type>
	
         <xsl:apply-templates  />
      </olac:olac>
   </xsl:template>
   
      <xsl:template match="clarin:OralCorpus">
      <olac:olac >
       
       <dc:type xsi:type="olac:linguistic-type" olac:code="primary_text"/>
	<dc:type xsi:type="dcterms:DCMIType">Sound</dc:type>  
       
         <xsl:apply-templates  />
      </olac:olac>
   </xsl:template>
   
      <xsl:template match="clarin:MultimodalCorpus">
      <olac:olac >  
      
      <dc:type xsi:type="olac:linguistic-type" olac:code="primary_text"/>
	<dc:type xsi:type="dcterms:DCMIType">MovingImage</dc:type>
	
         <xsl:apply-templates  />
      </olac:olac>
   </xsl:template>
   
      <xsl:template match="clarin:Tool">
      <olac:olac >  
      	<dc:type xsi:type="dcterms:DCMIType"> Service</dc:type>
         <xsl:apply-templates  />
      </olac:olac>
   </xsl:template>
   
   
   
   
   <xsl:template match="clarin:resourceTitle">
      <dc:title>
         <xsl:value-of select="." />
      </dc:title>
   </xsl:template>
   
   <xsl:template match="clarin:language">
      <dc:language xsi:type="olac:language" >
      <xsl:attribute name='olac:code'> <xsl:value-of select="@languageID"/></xsl:attribute>
      <xsl:value-of select="." />
        
      </dc:language>
   </xsl:template>
   
   
   <xsl:template match="clarin:url">
      <dc:identifier>
         <xsl:value-of select="."/>
      </dc:identifier>
   </xsl:template>
   
   <xsl:template match="clarin:persistentIdentifier">
      <dc:identifier>
         <xsl:value-of select="."/>
      </dc:identifier>
   </xsl:template>
   
    <xsl:template match="clarin:organization">
      <dc:publisher>
         <xsl:value-of select="."/>
      </dc:publisher>
   </xsl:template>
   
      <xsl:template match="clarin:domain">
      <dc:subject>
         <xsl:value-of select="translate(.,$ucletters,$lcletters)"/>
      </dc:subject>
   </xsl:template>
   
   
   <xsl:template match="clarin:lexiconType">
      <dc:type>
         <xsl:value-of select="." />
      </dc:type>
   </xsl:template>
   
   <xsl:template match="clarin:corpusType">
      <dc:type>
         <xsl:value-of select="."/>
      </dc:type>
   </xsl:template>
   
    <xsl:template match="clarin:resourceType">
      <dc:type>
         <xsl:value-of select="."/>
      </dc:type>
   </xsl:template>

   <xsl:template match="clarin:url">
      <dc:identifier>
         <xsl:value-of select="."/>
      </dc:identifier>
   </xsl:template>
   
   <xsl:template match="clarin:organization">
      <dc:publisher>
         <xsl:value-of select="."/>
      </dc:publisher>
   </xsl:template>
   
   <xsl:template match="clarin:annotationFormat">
      <dc:format>
         <xsl:value-of select="."/>
      </dc:format>
   </xsl:template>
   
</xsl:stylesheet> 
