<xsl:stylesheet 
xmlns="http://www.iula.upf.edu"
 xmlns:xsl='http://www.w3.org/1999/XSL/Transform' 
 xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
 version='1.0' >

 <xsl:output indent="yes" method="xml" version="1.0" encoding="UTF-8" />
<xsl:template match="text()" />

<xsl:template match="Components/LexicalResource | Components/WrittenCorpus | Components/OralCorpus | Components/MultimodalCorpus | Components/Tool">
	<xsl:element name="{name(.)}">
	<xsl:namespace name="xmlns:clarin">http://www.iula.upf.edu</xsl:namespace>
	
	<xsl:attribute name="xsi:schemaLocation">http://www.iula.upf.edu http://gilmere.upf.edu/theharvestingday/schemas/clarin_bamdes.xsd</xsl:attribute >
	

	
		<xsl:apply-templates select="//resourceTitle" />
		<xsl:apply-templates select="//persistentIdentifier" />
		<xsl:apply-templates  select="//url" />
	       <xsl:apply-templates  select="//organization" />
	       <xsl:apply-templates  select="//contactEmail" />
	
		<xsl:apply-templates  select="//resourceType" />
		<xsl:apply-templates  select="//corpusType" />
		<xsl:apply-templates  select="//language" />
		<xsl:apply-templates  select="//lexiconType" /> 
		<xsl:apply-templates  select="//size" /> 
		<xsl:apply-templates  select="//coverageType" /> 
		<xsl:apply-templates  select="//domain" /> 
		<xsl:apply-templates  select="//annotationFormat" /> 
		<xsl:apply-templates  select="//transcription" />
		<xsl:apply-templates  select="//annotation" />
		<xsl:apply-templates  select="//annotationLevelType" />
		<xsl:apply-templates  select="//tagset" />
		<xsl:apply-templates  select="//informationContained" />
		<xsl:apply-templates  select="//runningEnvironment" />
		<xsl:apply-templates  select="//languageDependency" />
		<xsl:apply-templates  select="//OperatingSystem" />
		<xsl:apply-templates  select="//Operations" />
	
	</xsl:element> 
</xsl:template>


<xsl:template match="Components/LexicalResource/Size | Components/WrittenCorpus/Size | Components/OralCorpus/Size | Components/MultimodalCorpus/Size | Components/Tool/Size">
    <xsl:element name="{name(.)}">
    <xsl:attribute name="sizeUnit"><xsl:value-of select="@sizeUnit" /></xsl:attribute>
    <xsl:value-of select="." />
    </xsl:element> 
</xsl:template>

<xsl:template match="Components/LexicalResource/Language | Components/WrittenCorpus/Language | Components/OralCorpus/Language | Components/MultimodalCorpus/Language | Components/Tool/Language">
    <xsl:element name="{name(.)}">
        <xsl:attribute name="languageID"><xsl:value-of select="@languageID" /></xsl:attribute>
    <xsl:value-of select="." />
    </xsl:element> 
</xsl:template>

<xsl:template match="Components/LexicalResource//* | Components/WrittenCorpus//* | Components/OralCorpus//* | Components/MultimodalCorpus//* | Components/Tool//*">
    <xsl:element name="{name(.)}"><xsl:value-of select="." /></xsl:element> 
</xsl:template>

</xsl:stylesheet> 