<xsl:stylesheet version='1.0'
 xmlns:xsl='http://www.w3.org/1999/XSL/Transform'
 xmlns:oai_dc='http://www.openarchives.org/OAI/2.0/oai_dc/'
 xmlns:dc='http://purl.org/dc/elements/1.1/' 
 xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance'
 xmlns:clarin="http://www.iula.upf.edu">

   <xsl:variable name="lcletters">abcdefghijklmnopqrstuvwxyz</xsl:variable>
   <xsl:variable name="ucletters">ABCDEFGHIJKLMNOPQRSTUVWXYZ</xsl:variable>

   <xsl:output indent="yes" method="xml" version="1.0" encoding="UTF-8" />
   <xsl:template match="text()" />
   
   <xsl:template match="clarin:LexicalResource | clarin:WrittenCorpus | clarin:OralCorpus | clarin:MultimodalCorpus | clarin:Tool">
      <oai_dc:dc xsi:schemaLocation="http://www.openarchives.org/OAI/2.0/oai_dc/ http://www.openarchives.org/OAI/2.0/oai_dc.xsd">  
         <xsl:apply-templates  />
      </oai_dc:dc>
   </xsl:template>   
   
   <xsl:template match="clarin:resourceTitle">
      <dc:title>
         <xsl:value-of select="." />
      </dc:title>
   </xsl:template>
   
   <xsl:template match="clarin:lexiconType">
      <dc:type>
         <xsl:value-of select="." />
      </dc:type>
   </xsl:template>
   
   <xsl:template match="clarin:corpusType">
      <dc:type>
         <xsl:value-of select="."/>
      </dc:type>
   </xsl:template>
   
    <xsl:template match="clarin:resourceType">
      <dc:type>
         <xsl:value-of select="."/>
      </dc:type>
   </xsl:template>

   <xsl:template match="clarin:url">
      <dc:identifier>
         <xsl:value-of select="."/>
      </dc:identifier>
   </xsl:template>
   
   <xsl:template match="clarin:persistentIdentifier">
      <dc:identifier>
         <xsl:value-of select="."/>
      </dc:identifier>
   </xsl:template>
   
   <xsl:template match="clarin:organization">
      <dc:publisher>
         <xsl:value-of select="."/>
      </dc:publisher>
   </xsl:template>

   <xsl:template match="clarin:language">
      <dc:language>
         <xsl:value-of select="@languageID"/>
      </dc:language>
   </xsl:template>
   
   <xsl:template match="clarin:annotationFormat">
      <dc:format>
         <xsl:value-of select="."/>
      </dc:format>
   </xsl:template>

   <xsl:template match="clarin:resourceTypeSpecific">
      <dc:type>
         <xsl:value-of select="."/>
      </dc:type>
   </xsl:template>
   
   <xsl:template match="clarin:domain">
      <dc:subject>
         <xsl:value-of select="translate(.,$ucletters,$lcletters)"/>
      </dc:subject>
   </xsl:template>

   <xsl:template match="clarin:informationContained">
      <dc:subject>
         Annotation Level: <xsl:value-of select="."/>
      </dc:subject>
   </xsl:template>

   <xsl:template match="clarin:coverageType">
      <dc:subject>
         <xsl:value-of select="."/>
      </dc:subject>
   </xsl:template>

   <xsl:template match="clarin:operations">
      <dc:subject>
         Operations: <xsl:value-of select="."/>
      </dc:subject>
   </xsl:template>
   
</xsl:stylesheet> 
